Bug 99411 - Windows installer can't write to the directory it creates for installation.
Windows installer can't write to the directory it creates for installation.
Status: RESOLVED FIXED
Product: installer
Classification: Unclassified
Component: Code
5.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: mslama
issues@installer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-29 16:50 UTC by dafydd
Modified: 2012-02-09 09:34 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
console output from installation .exe file with mslama's suggested option (15.82 KB, text/plain)
2007-04-05 19:05 UTC, dafydd
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dafydd 2007-03-29 16:51:51 UTC
When running netbeans-5_5-windows.exe, downloaded from netbeans.org, I get as 
far as determining the installtion directory, and endless loop from there.

"\netbeans-5.5" - Error: \netbeans5.5 is not writable.
"C:\Program Files\netbeans-5.5" - Error: C:\Program Files\netbeans5.5 is not 
writable.
"C:\Program Files\netbeans" - ... is not writable.

All of these directories are visible in Windows Explorer, so the installer 
created them. All of them have a dimmed out check in the "Read only" attribute 
checkbox.

Unchecking the attribute and reattempting also fails.

(Side note for NB5.5.1, I suppose: C:\Program Files\java\jdk1.6.0\bin\ doesn't 
get searhed by the installer, and has to be found manually. This is probably 
just a case of adding 1.6.0 to the search list...)

Thanks!
Comment 1 mslama 2007-03-29 17:27:07 UTC
JDK 6 is searched. Please first make sure installer is not corrupted. Check MD5
checksum available on download page.
Comment 2 dafydd 2007-03-29 17:43:49 UTC
v Checksum from download page: 
cfb11048a49999b9b01af4198e2b7dd1
CFB11048A49999B9B01AF4198E2B7DD1
^ Local checksum

No difference that I can see.
Comment 3 dafydd 2007-03-29 21:41:03 UTC
Also occurs with netbeans-5_5_1-beta-windows.exe.

v 5.5.1 checksum from netbeans website.
93613769bfef01e08d93ae7d961bfa2f 
93613769BFEF01E08D93AE7D961BFA2F
^ Local checksum.

Also,in this case I tried C:\Program Files\netbeans\5.5.1 and got the dimmed 
check in the Read Only attribute at each level of the tree.
Comment 4 dlipin 2007-03-30 08:36:24 UTC
dafydd,

Just to confirm : are you installing as the administrator or somehow limited 
user?
Comment 5 mslama 2007-03-30 09:12:07 UTC
Run installer with -is:javaconsole. Then attach resulting log output here. I
will check if there is any info about this problem.
Comment 6 dafydd 2007-04-05 19:04:07 UTC
dlipin: At the time I first saw this, I was the Administrator group for the
network, but not in the Administrator group for my desktop. Now that I'm also
the local Administrator, I have retested with the same results.

mslama: Attachment follows.
Comment 7 dafydd 2007-04-05 19:05:17 UTC
Created attachment 40515 [details]
console output from installation .exe file with mslama's suggested option
Comment 8 dafydd 2007-04-05 19:08:12 UTC
dlipin: To be more specific, I have never tried this install while logged in as
"Administrator."

My first passes were logged in as me. At that time, I was in the Administrator
group for my domain, but not for the specific system I'm using.

I am now in the Administrator group, as me, for my local system. Under these
conditions, I still get the errors.
Comment 9 mslama 2007-08-15 09:59:27 UTC
From log problem is clear: InstallShield based installer does not run on 64bit JDK. You must use 32bit JDK to run
installer. Sorry for late response. For NB 6.0 we use different installer engine => this problem doe snot happen anymore.
Comment 10 sek123 2012-02-08 15:26:00 UTC
Hi,
Greetings!!!

I am trying to install netbeans 5.5 and getting the same error message. I have went through below excerise but no luck.

can you please help me to reselove this issues?

Thanks,
Raj
Comment 11 sek123 2012-02-08 20:58:06 UTC
Unable to load JNI dll jar:ismpfile:C:\DOCUME~1\LOCALS~1\Temp\ismp002\7530886\engine\1.0\ext\windowsppk.jar!/reslib/windowsppk/win32ppk.dll
java.io.IOException: Write error
        at java.io.FileOutputStream.writeBytes(Native Method)
        at java.io.FileOutputStream.write(FileOutputStream.java:260)
        at com.installshield.boot.CoreFileUtils.copy(Unknown Source)
        at com.installshield.boot.CoreFileUtils.copy(Unknown Source)
        at com.installshield.boot.CoreFileUtils.createTempFile(Unknown Source)
        at com.installshield.util.LibraryLoader.loadLibrary(Unknown Source)
        at com.installshield.wizard.platform.win32.Win32Utils.loadDLL(Unknown So
Comment 12 mslama 2012-02-08 22:15:11 UTC
The best way is not to use installer but only zip distribution. I am sorry netbeans5.5 installer is so old that it is not supported anymore. IIRC it was last version which used InstallShield as installer platform.
Comment 13 Antonin Nebuzelsky 2012-02-09 09:34:33 UTC
Marek, thanks for the comment!

Closing again as fixed in later NetBeans.

5.5 is obsolete.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo